/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.RFQ;

import java.util.Vector;
import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class RFQAnswer {
    //    public void makeRFQAnswer()
    //    {
    //    }
    public void acceptRFQAnswer() {
    }

    public void addDetail() {
    }

    public BigDecimal calcTotal() {
        if (total.intValue() == 0) {
            recalcTotal();
        }
        return total;
    }

    public BigDecimal recalcTotal() {
        // calc total then set total attribute
        return total;
    }

    public void complete() {
    }

    public void cancel() {
    }

    public Object mi_generateContractOrPO() {
        return new Object();
    }

    public Vector mi_assessRFQAnswerToDelivery() {
        return new Vector();
    }

    public Vector mi_assessDeviationFromRFQ() {
        return new Vector();
    }

    public static Vector listRFQAnswers() {
        return new Vector();
    }

    public static BigDecimal calcAvgRFQAnswer() {
        return new BigDecimal(0);
    }

    private String number;
    private Date date;
    private Date dateExpires;
    private Date dateAccepted;
    private Date dateRejected;
    private String conditions;

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private RFQAnswerDetail lnkUnnamed;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private MatlResMgmt.POToSupplier.POToSupplier lnkUnnamed4;

    /** @supplierCardinality 1 */
    private IAcceptRFQAnswer lnkUnnamed2;
    private BigDecimal total;
}


